Package picard.util.IntervalList

# Class IntervalListScattererWithoutSubdivision

java.lang.Object
picard.util.IntervalList.IntervalListScattererByBaseCount
picard.util.IntervalList.IntervalListScattererWithoutSubdivision

All Implemented Interfaces:
  `IntervalListScatterer`

Direct Known Subclasses:
  `IntervalListScattererWithoutSubdivisionWithOverflow`

public class IntervalListScattererWithoutSubdivision extends IntervalListScattererByBaseCount
A BaseCount Scatterer that avoid breaking-up intervals. This is done by by only adding intervals to the current list if the resulting size no larger than the "ideal" size. In addition, the ideal length will not be small than the largest sub-interval in the input list.

## Constructor Summary

Constructors
Constructor
Description
`IntervalListScattererWithoutSubdivision()`

## Method Summary

Modifier and Type
Method
Description
`int`
`deduceIdealSplitWeight(htsjdk.samtools.util.IntervalList intervalList, int nCount)`
A method that determines the ideal target "weight" of the output IntervalList.
`protected boolean`
`shouldIncludeInterval(long idealSplitWeight, double projectedSizeOfRemaining, long projectedSize)`
`List<htsjdk.samtools.util.Interval>`
`takeSome(htsjdk.samtools.util.Interval interval, long idealSplitWeight, long currentSize, double projectedSizeOfRemaining)`
Figure out how much of the input interval to put into current list and how much to leave for the next interval list.

### Methods inherited from class picard.util.IntervalList.IntervalListScattererByBaseCount

`intervalWeight, listWeight`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface picard.util.IntervalList.IntervalListScatterer

`preprocessIntervalList, scatter`

## Constructor Details

### IntervalListScattererWithoutSubdivision

public IntervalListScattererWithoutSubdivision()

## Method Details

### takeSome

public List<htsjdk.samtools.util.Interval> takeSome(htsjdk.samtools.util.Interval interval, long idealSplitWeight, long currentSize, double projectedSizeOfRemaining)
Description copied from interface: `IntervalListScatterer`
Figure out how much of the input interval to put into current list and how much to leave for the next interval list.

Parameters:
  `interval` -
Returns:
  a list of two (possibly null) elements. The first element should be added to the current interval list, the second should be offered to the next interval list.

### shouldIncludeInterval

protected boolean shouldIncludeInterval(long idealSplitWeight, double projectedSizeOfRemaining, long projectedSize)

### deduceIdealSplitWeight

public int deduceIdealSplitWeight(htsjdk.samtools.util.IntervalList intervalList, int nCount)
Description copied from interface: `IntervalListScatterer`
A method that determines the ideal target "weight" of the output IntervalList.

Specified by:
  `deduceIdealSplitWeight` in interface `IntervalListScatterer`
Overrides:
  `deduceIdealSplitWeight` in class `IntervalListScattererByBaseCount`
Parameters:
  `intervalList` - the `IntervalList` that is about to get split
  `nCount` - the scatter count into which to split intervalList
Returns:
  The ideal "weight" of the output `IntervalList`'s